<template>
  <div class="home">
    <h1 :style="{ color: colorCode }">{{ store.state.counter }}</h1>
    <div>
      {{ store.state.counter }}<sup>2</sup> =
      {{ store.getters.counterSquared() }}
    </div>
    <div class="buttons">
      <button @click="store.methods.decreaseCounter">-</button>
      <button @click="store.methods.increaseCounter">+</button>
    </div>
    <input type="text" v-model="colorCode" />
  </div>
</template>

<script>
import { computed, inject } from "vue";

export default {
  components: {},
  setup() {
    const store = inject("store");

    const colorCode = computed({
      get() {
        return store.state.colorCode;
      },
      set(val) {
        store.methods.setColorCode(val);
      }
    });

    return {
      store,
      colorCode
    };
  }
};
</script>
